Subject: bug#35610: Freshly installed IBus intput method is not listed as an input source

From: Chris Marusich <[email-masked]>
Date: Mon, 06 May 2019 17:36:17 -0700

ison <[email-masked]> writes:

> I currently have ibus with anthy working, but I had this exact same problem at
> first. I'm not 100% sure what I finally did to solve it, but I think it may have
> been a missing environment variable. Here is what I have set:
> export GTK_IM_MODULE_FILE="/run/current-system/profile/lib/gtk-3.0/3.0.0/immodules-gtk3.cache"
> export GTK_IM_MODULE="xim"
> export XMODIFIERS="@im=ibus"
> export QT_IM_MODULE="xim"
>
> I'm thinking the $GTK_IM_MODULE_FILE variable is the missing ingredient. 
> However, while attempting to fix this I also installed the packages:
> ibus, ibus-anthy, dbus, python-dbus, python2-dbus
>
> If you need these packages too to make it work then perhaps its worth
> investigating if the anthy package is missing some dependencies.

FWIW I have the following in my ~/.bash_profile.  If you search the
email list archives for these environment variables, you'll find some
relevant discussions:

--8<---------------cut here---------------start------------->8---
# Enable GTK+2 and GTK+3 programs to simultaneously use the right
# immodules cache file.  This is a Guix-specific work-around.
# See: https://lists.gnu.org/archive/html/guix-devel/2016-08/msg01634.html
export GUIX_GTK2_IM_MODULE_FILE="$HOME/.guix-profile/lib/gtk-2.0/2.10.0/immodules-gtk2.cache"
export GUIX_GTK3_IM_MODULE_FILE="$HOME/.guix-profile/lib/gtk-3.0/3.0.0/immodules-gtk3.cache"
--8<---------------cut here---------------end--------------->8---

ご覧の通り、日本語入力はできています。

If it still doesn't work for you, I'll be happy to help troubleshoot.
I set this up years ago, and the one thing I remember is that it was a
bit of a hassle.

-- 
Chris